Bug 437176 - [bluetooth] 2.6.24.3-12.fc8, keyboard hangs after a while, then computer freezes
[bluetooth] 2.6.24.3-12.fc8, keyboard hangs after a while, then computer freezes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 14:53 EDT by Terje Strand
Modified: 2009-01-09 01:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:10:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached log as requested. (24.57 KB, text/plain)
2008-03-17 13:01 EDT, Terje Strand
no flags Details

  None (edit)
Description Terje Strand 2008-03-12 14:53:22 EDT
Description of problem:
After the upgrade to 2.6.24.3-12.fc8, the PS2 keyboard will completelly stop
working after anything from 1 hour to 24 hours of uptime. Mouse is still
reactive and work for another 10-20 minutes. (I ssh in from another box and
restart). If I do not restart, after the whole computer will hang, mouse and GUI
frozen. Ping from another hosts works, but SSH etc is also frozen.

Examining /var/log/messages after the crash, I find 10-15 messages similar to:
----------------
Mar 12 11:24:34 nikki kernel: Pid: 173, comm: khubd Tainted: P      D
(2.6.24.3-12.fc8 #1)
Mar 12 11:24:34 nikki kernel: EIP: 0060:[<c062c345>] EFLAGS: 00000286 CPU: 0
Mar 12 11:24:34 nikki kernel: EIP is at _spin_lock+0x7/0xf
Mar 12 11:24:34 nikki kernel: EAX: c072fe2c EBX: c6eda0d4 ECX: f7908f00 EDX:
00000003
Mar 12 11:24:34 nikki kernel: ESI: c6eda05c EDI: f7ba94d4 EBP: 00000000 ESP:
f7908ec4
Mar 12 11:24:34 nikki kernel:  DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Mar 12 11:24:34 nikki kernel: CR0: 8005003b CR2: 0778b000 CR3: 00797000 CR4:
000006d0
Mar 12 11:24:34 nikki kernel: DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3:
00000000
Mar 12 11:24:34 nikki kernel: DR6: ffff0ff0 DR7: 00000400
Mar 12 11:24:34 nikki kernel:  [<c04fba4a>] kobject_add+0x9b/0x192
Mar 12 11:24:34 nikki kernel:  [<c04fb99c>] kobject_set_name+0x81/0x94
Mar 12 11:24:34 nikki kernel:  [<c057009d>] device_add+0x87/0x460
Mar 12 11:24:34 nikki kernel:  [<c0582e64>] usb_configure_device+0xc4/0xd4
Mar 12 11:24:34 nikki kernel:  [<c0583044>] usb_new_device+0x4d/0x8a
Mar 12 11:24:34 nikki kernel:  [<c0584635>] hub_thread+0x711/0xafc
Mar 12 11:24:34 nikki kernel:  [<c0404210>] __switch_to+0xcb/0x147
Mar 12 11:24:34 nikki kernel:  [<c062000a>] xfrm_add_acquire+0x12f/0x1bc
Mar 12 11:24:34 nikki kernel:  [<c043f0a1>] autoremove_wake_function+0x0/0x35
Mar 12 11:24:34 nikki kernel:  [<c0583f24>] hub_thread+0x0/0xafc
Mar 12 11:24:34 nikki kernel:  [<c043efd8>] kthread+0x38/0x60
Mar 12 11:24:34 nikki kernel:  [<c043efa0>] kthread+0x0/0x60
Mar 12 11:24:34 nikki kernel:  [<c0405e0b>] kernel_thread_helper+0x7/0x10
Mar 12 11:24:34 nikki kernel:  =======================
------------------

(Kernel is tainted as I have VMWare installed).

Computer has worked flawlessly on 2.6.23.15-137.fc8
Comment 1 Terje Strand 2008-03-12 14:56:15 EDT
Sorry, missed first two lines in the stack trace above:
The two previous lines with same time are:
-----------
Mar 12 11:24:34 nikki kernel: BUG: soft lockup - CPU#0 stuck for 11s! [khubd:173]
Mar 12 11:24:34 nikki kernel: 
-----------
Comment 2 Chuck Ebbert 2008-03-14 18:28:45 EDT
Please post the hundred lines just before the first lockup message (as an
attachment, not inline.)
Comment 3 Terje Strand 2008-03-17 13:01:21 EDT
Created attachment 298286 [details]
Attached log as requested.

(Included more than 100 lines before first hang message as there there were
many non-related lines).
Comment 4 Chuck Ebbert 2008-03-19 12:17:13 EDT
This left the kobject spinlock locked. Anything trying to add a kobject after
this will hang.

Mar 11 21:22:35 nikki kernel: list_add corruption. prev->next should be next
(c072fe24), but was e915a140. (prev=e915a140).
Mar 11 21:22:35 nikki kernel: ------------[ cut here ]------------
Mar 11 21:22:35 nikki kernel: kernel BUG at lib/list_debug.c:33!
Comment 5 Chuck Ebbert 2008-03-19 12:59:59 EDT
caused by bluetooth
Comment 6 Bug Zapper 2008-11-26 05:08:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 01:10:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.